package com.ygtx.gxt.domain;

import com.ygtx.common.core.domain.BaseEntity;
import java.math.BigDecimal;

/**
 * 月度场站风机类型工单对象 gxt_month_fan_inspection
 * 
 * @author ruoyi
 * @date 2025-11-12
 */
public class GxtMonthFanInspection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 月度统计表ID */
    private Long monthScoreId;

    /** 场站ID */
    private Long deptId;

    /** 场站名称 */
    private String deptName;

    /** 风机类型与检查类型 */
    private Long fanInspectionId;

    /** 设备数量 */
    private Integer deviceCount;

    /** 风机类型检查类型分值 */
    private BigDecimal fanInspectionScore;

    /** 计算得分(工单数量×分值) */
    private BigDecimal calculatedScore;

    /** 统计月份 */
    private String monthPeriod;

    /** 状态 */
    private Integer status;

    /** 备注 */
    private String remark;

    private String model;

    private String inspectionTypeId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMonthScoreId(Long monthScoreId) 
    {
        this.monthScoreId = monthScoreId;
    }

    public Long getMonthScoreId() 
    {
        return monthScoreId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setFanInspectionId(Long fanInspectionId) 
    {
        this.fanInspectionId = fanInspectionId;
    }

    public Long getFanInspectionId() 
    {
        return fanInspectionId;
    }
    public void setDeviceCount(Integer deviceCount) 
    {
        this.deviceCount = deviceCount;
    }

    public Integer getDeviceCount() 
    {
        return deviceCount;
    }
    public void setFanInspectionScore(BigDecimal fanInspectionScore) 
    {
        this.fanInspectionScore = fanInspectionScore;
    }

    public BigDecimal getFanInspectionScore() 
    {
        return fanInspectionScore;
    }
    public void setCalculatedScore(BigDecimal calculatedScore) 
    {
        this.calculatedScore = calculatedScore;
    }

    public BigDecimal getCalculatedScore() 
    {
        return calculatedScore;
    }
    public void setMonthPeriod(String monthPeriod) 
    {
        this.monthPeriod = monthPeriod;
    }

    public String getMonthPeriod() 
    {
        return monthPeriod;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setRemark(String remark) 
    {
        this.remark = remark;
    }

    public String getRemark() 
    {
        return remark;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getInspectionTypeId() {
        return inspectionTypeId;
    }

    public void setInspectionTypeId(String inspectionTypeId) {
        this.inspectionTypeId = inspectionTypeId;
    }
}